import { ValidateStructure } from '../components/errorInterface/validateStructure';
import { Question } from '../components/errorInterface/question';
import * as i0 from "@angular/core";
export declare class ValidatorService {
    constructor();
    validatedQuestions: any;
    validate(question: Question): ValidateStructure | any;
    validateMultiValuedQuestion(question: any): ValidateStructure;
    validateSingleValued(question: any): ValidateStructure;
    validateDateTime(question: any): ValidateStructure;
    validateImageUpload(question: any): ValidateStructure;
    validateMatrixDropdown(question: any): ValidateStructure;
    validateMultipleTextBox(question: any): ValidateStructure;
    validateSlider(question: any): ValidateStructure;
    validateStarRating(question: any): ValidateStructure;
    validateRatingScale(question: any): ValidateStructure;
    /**
     * Extracts the text from a particular html content
     * @param s html content from which text needs to be extracted
     */
    extract(s: any): string;
    /**
    * Checks if title of two choices is same or not
    * @param choices Choice for which title should be checked
    */
    checkForSameTitle(choices: any): boolean;
    /**
     * Checks if title of two choices is same or not
     * @param choices Choice for which title should be checked
     */
    checkForSameTitleWithOther(questionDetails: any): boolean;
    cloneByValue(value: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValidatorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ValidatorService>;
}
